OpenJPEG 2.5.0

Functions
ppix_manager.c File Reference

Modification of jpip.c from 2KAN indexer. More...

`#include "opj_includes.h"`

## Functions
int | opj_write_ppix (int coff, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_ppixfaix (int coff, int compno, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)

## Detailed Description

Modification of jpip.c from 2KAN indexer.

## Function Documentation

## ◆ opj_write_ppix()

int opj_write_ppix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_FAIX, JPIP_PPIX, opj_jp2_box::length, opj_codestream_info::numcomps, opj_calloc(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_manf(), opj_write_ppixfaix(), and opj_jp2_box::type.

Referenced by opj_write_cidx().

## ◆ opj_write_ppixfaix()

int opj_write_ppixfaix | ( | int | coff,
|  | int | compno,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References opj_packet_info::end_ph_pos, opj_packet_info::end_pos, JPIP_FAIX, opj_codestream_info::numcomps, opj_codestream_info::numdecompos, opj_codestream_info::numlayers, OPJ_CPRL, OPJ_LRCP, OPJ_PCRL, OPJ_RLCP, OPJ_RPCL, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_tile_info::packet, opj_tile_info::ph, opj_codestream_info::prog, opj_tile_info::pw, opj_packet_info::start_pos, opj_codestream_info::th, opj_codestream_info::tile, and opj_codestream_info::tw.

Referenced by opj_write_ppix().